Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model.component
Class CalendarComponent

    java.lang.Object
      net.fortuna.ical4j.model.Component
          net.fortuna.ical4j.model.component.CalendarComponent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  VAlarm, VEvent, VFreeBusy, VJournal, VTimeZone, VToDo, XComponent

    public abstract class CalendarComponent

extends Component

Base class for components that may be added to a calendar.

Author:
  Ben Fortuna
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.fortuna.ical4j.model.Component
`BEGIN, END, EXPERIMENTAL_PREFIX, VALARM, VEVENT, VFREEBUSY, VJOURNAL, VTIMEZONE, VTODO`

Constructor Summary
`CalendarComponent(String name)`
`CalendarComponent(String name, PropertyList properties)`

Method Summary

Methods inherited from class net.fortuna.ical4j.model.Component
`equals, getName, getProperties, getProperties, getProperty, hashCode, toString, validate, validate, validateProperties`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CalendarComponent

    public CalendarComponent(String name)

Parameters:
  `name` - component name

### CalendarComponent

    public CalendarComponent(String name,
                             PropertyList properties)

Parameters:
  `name` - component name
  `properties` - component properties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.